<?php
function unlinkRecursive($dir) {
    if ( ! is_dir( $dir ) ) {
        return;
    }

    if ( ! $dh = opendir( $dir ) ) {
        return;
    }

    while ( false !== ($obj = readdir( $dh )) ) {
        if ( $obj == '.' || $obj == '..' ) {
            continue;
        }
        if (is_dir($dir . '/' . $obj)) {
            unlinkRecursive( $dir . '/' . $obj );
            rmdir($dir . '/' . $obj);
        }
        else {
            unlink( $dir . '/' . $obj );
        }
    }
    closedir( $dh );
}

if (array_key_exists('PURGE_PATH', $_SERVER)) {
    unlinkRecursive($_SERVER['PURGE_PATH']);
}
